Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RTypedData Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
const rb_data_type_t * | type
VALUE | typed_flag
void * | data

## Detailed Description

Definition at line 978 of file ripper.y.

## Field Documentation

struct RBasic RTypedData::basic

Definition at line 979 of file ripper.y.

void * RTypedData::data

Definition at line 982 of file ripper.y.

const rb_data_type_t * RTypedData::type

Definition at line 980 of file ripper.y.

VALUE RTypedData::typed_flag

Definition at line 981 of file ripper.y.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h